gtkmm: Gdk::CairoContext Class Reference

gtkmm 4.14.0

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Symbols | List of all members
Gdk::CairoContext Class Reference

Cairo draw context. More...

`#include <gdkmm/cairocontext.h>`

Inheritance diagram for Gdk::CairoContext:
[legend]

## Public Member Functions
| CairoContext (CairoContext && src) noexcept
CairoContext & | operator= (CairoContext && src) noexcept
| ~CairoContext () noexcept override
GdkCairoContext * | gobj ()
| Provides access to the underlying C GObject.
const GdkCairoContext * | gobj () const
| Provides access to the underlying C GObject.
GdkCairoContext * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
::Cairo::RefPtr< ::Cairo::Context > | cairo_create ()
| Retrieves a Cairo context to be used to draw on the `Gdk::Surface` of context.
Public Member Functions inherited from Gdk::DrawContext
| DrawContext (DrawContext && src) noexcept
DrawContext & | operator= (DrawContext && src) noexcept
| ~DrawContext () noexcept override
GdkDrawContext * | gobj ()
| Provides access to the underlying C GObject.
const GdkDrawContext * | gobj () const
| Provides access to the underlying C GObject.
GdkDrawContext * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::RefPtr< Display > | get_display ()
| Retrieves the `Gdk::Display` the context is created for.
Glib::RefPtr< const Display > | get_display () const
| Retrieves the `Gdk::Display` the context is created for.
Glib::RefPtr< Surface > | get_surface ()
| Retrieves the surface that context is bound to.
Glib::RefPtr< const Surface > | get_surface () const
| Retrieves the surface that context is bound to.
void | begin_frame (const ::Cairo::RefPtr< const ::Cairo::Region > & region)
| Indicates that you are beginning the process of redrawing region on the context's surface.
void | end_frame ()
| Ends a drawing operation started with begin_frame().
bool | is_in_frame () const
| Returns `true` if context is in the process of drawing to its surface.
::Cairo::RefPtr< const ::Cairo::Region > | get_frame_region () const
| Retrieves the region that is currently being repainted.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Display > > | property_display () const
| The `Gdk::Display` used to create the `Gdk::DrawContext`.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Surface > > | property_surface () const
| The `Gdk::Surface` the context is bound to.

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Gdk::DrawContext
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Protected Member Functions
| CairoContext ()
Protected Member Functions inherited from Gdk::DrawContext
| DrawContext ()
| This constructor is protected because only derived classes shall be instantiated.

## Related Symbols
(Note that these are not member symbols.)
Glib::RefPtr< Gdk::CairoContext > | wrap (GdkCairoContext * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gdk::DrawContext
Glib::RefPtr< Gdk::DrawContext > | wrap (GdkDrawContext * object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Cairo draw context.

Gdk::CairoContext is an object representing the platform-specific draw context.

Gdk::CairoContexts are created for a Gdk::Display using Gdk::Surface::create_cairo_context(), and the context can then be used to draw on that Gdk::Surface.

Since gtkmm 3.94

## Constructor & Destructor Documentation

## ◆ CairoContext() [1/2]

Gdk::CairoContext::CairoContext | ( | CairoContext && | src | ) |
| noexcept

## ◆ ~CairoContext()

Gdk::CairoContext::~CairoContext | ( |  | ) |
| overridenoexcept

## ◆ CairoContext() [2/2]

Gdk::CairoContext::CairoContext | ( |  | ) |
| protected

## Member Function Documentation

## ◆ cairo_create()

::Cairo::RefPtr< ::Cairo::Context > Gdk::CairoContext::cairo_create | ( |  | ) |

Retrieves a Cairo context to be used to draw on the `Gdk::Surface` of context.

A call to Gdk::DrawContext::begin_frame() with this context must have been done or this function will return `nullptr`.

The returned context is guaranteed to be valid until Gdk::DrawContext::end_frame() is called.

Returns
  A Cairo context to draw on `GdkSurface.

## ◆ get_type()

static GType Gdk::CairoContext::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GdkCairoContext * Gdk::CairoContext::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GdkCairoContext * Gdk::CairoContext::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

GdkCairoContext * Gdk::CairoContext::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ operator=()

CairoContext & Gdk::CairoContext::operator= | ( | CairoContext && | src | ) |
| noexcept

## Friends And Related Symbol Documentation

## ◆ wrap()

Glib::RefPtr< Gdk::CairoContext > wrap | ( | GdkCairoContext * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.